/* Global Styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
  outline: none;
  border: none;
}

body {
  font-family: "Poppins", sans-serif;
}

:root {
  --primary-color: #ffffff;
  --secondary-color: #c096fc;
  --third-color: #d3bbf5;
  --button-color: #f7f7f7;
  --button-color2: #fff5bc;
  --font-color1: #000000;
  --font-color2: #;
}

/* NAVBAR START */
.navbar {
  background-color: var(--button-color);
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  padding: 0px 50px;
  height: 64px;
  top: 0;
  left: 0;
  right: 0;
  z-index: 999;
  border-bottom: 1px solid black;
  /* border: 1px solid red; */
}

.navbar .navbar-icon .navbar-logo {
  display: flex;
  align-items: center;
  justify-content: center;
  /* background-color: tomato; */
}

.navbar .navbar-icon .navbar-logo img {
  height: 100%;
  max-height: 50px;
  width: auto;
  object-fit: contain;
}

.navbar .navbar-nav {
  /* background-color: tomato; */
  display: flex;
  justify-content: center;
  padding-left: 11%;
  flex-grow: 1;
  gap: 33px;
  /* border: 1px solid blue; */
}

.navbar .navbar-nav a {
  color: var(--font-color1);
  font-size: 16px;
  font-weight: 500;
}

.navbar .navbar-nav a.active {
  color: var(--font-color1);
  border-bottom: 1px solid black;
}

.navbar .navbar-nav a:hover {
  border-bottom: 1px solid black;
  transition: 0.2s linear;
}

.navbar .navbar-nav .btn-konsultasi {
  display: none;
}

.navbar .navbar-extra {
  display: flex;
  align-items: center;
  gap: 20px;
}

.navbar .navbar-extra .btn-konsultasi {
  background-color: var(--button-color2);
  color: var(--font-color1);
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 6px 15.336px 5px 8px;
  border-radius: 10px;
  gap: 5px;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.navbar .navbar-extra .btn-konsultasi:hover {
  background-color: rgb(57, 212, 57);
}

.navbar .navbar-extra .user-profile {
  display: flex;
}

#hamburger-menu {
  display: none;
  cursor: pointer;
}

/* NAVBAR END */

/* ABOUT DEMENSIA LAYOUT */
.about-demensia {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  /* Disesuaikan agar konten tidak terpotong */
  max-height: calc(100vh - 64px);
  top: 64px;
  /* padding: 20px 50px; */
}

.content-wrapper {
  /* background-color: tomato; */
  width: 60%;
}

.container-left {
  flex: 1;
  max-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-left: 6%;
  /* border: 1px solid blue; */
}

.container-left .headline h1 {
  font-size: 40px;
  font-weight: 600;
}

.container-left .header h3 {
  font-weight: 600;
}

.swiper {
  /* background-color: tomato; */
  width: 100%;
  max-height: calc(100vh - 64px);
  top: 64px;
  /* border: 1px solid brown; */
}

.swiper-container {
  width: 100%;
  height: 100%;
}

.swiper-slide {
  /* background-color: tomato; */
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 0px 40px;
  /* border: 1px solid red; */
}

.content {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.content .main li {
  list-style-type: disc;
}

.description {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.swiper-pagination {
  position: absolute;
  right: -20px;
  /* Place pagination to the right of the container */
  top: 0;
  bottom: 0;
  width: 10px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.swiper-button-next,
.swiper-button-prev {
  color: #000;
}

/* Container Kanan dengan Gambar */
.container-right {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  max-width: 40%;
  height: 100vh;
  gap: 10px;
  margin-right: 10px;
  /* border: 1px solid red; */
}

.container-right img {
  max-width: 70%;
  height: auto;
  object-fit: contain;
}

/*-------- Responsive Media Queries --------*/

/* NAVBAR RESPONSIVE START */
@media (max-width: 768px) {
  #hamburger-menu {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .navbar {
    padding: 0px 50px;
  }

  .navbar .btn-login {
    background-color: var(--button-color);
    color: var(--font-color1);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 72px;
    height: 36px;
    border-radius: 7px;
  }

  .navbar .navbar-nav.active {
    padding: 20px 0px;
    right: 0;
    border-left: 1px solid black;
  }

  .navbar .navbar-nav {
    background-color: var(--button-color);
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    top: 100%;
    right: -100%;
    width: 15rem;
    height: 100vh;
    gap: 50px;
    padding: 20px 0px;
    transition: all 0.3s ease;
    border-top: 1px solid black;
    border-right: 1px solid black;
  }

  .navbar .navbar-nav .btn-konsultasi {
    background-color: var(--button-color2);
    color: var(--font-color1);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    padding: 5px 10px;
    gap: 5px;
  }

  .navbar .navbar-extra .btn-konsultasi {
    display: none;
  }
}

@media (max-width: 992px) {
  .navbar {
    padding: 0 50px;
  }

  .navbar-nav {
    gap: 20px;
  }
}

/* NAVBAR RESPONSIVE END */

/* LARGE DESKTOP DEVICE START */
@media (min-width: 1440px) {
}

/* LARGE DESKTOP DEVICE END */

/* SMALL DESKTOP DEVICE START */
@media (max-width: 992px) {
  /* HOME START */
  .container-right .image-1 {
    width: 250px;
  }

  /* HOME END */
}

/* SMALL DESKTOP DEVICE END */

/* TABLET DEVICE START */
@media (max-width: 768px) {
  /* MAIN PAGE START */
  .container-left .headline h1 {
    font-size: 30px;
  }

  .container-right {
    width: 0;
  }

  .container-right img {
    display: none;
  }

  .container-right p {
    display: none;
  }

  .about-demensia {
    flex-direction: column;
  }

  .content-wrapper {
    width: 100%;
  }

  .swiper {
    overflow-y: auto;
    width: 100%;
    height: 70vh;
  }

  .swiper-container {
    overflow: visible;
    height: auto;
    width: 100%;
  }

  .swiper-slide {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    height: auto;
    overflow: visible;
    padding: 20px 40px;
  }

  .content {
    height: auto;
    overflow: visible;
  }

  .content .headline {
    font-size: 12px;
  }

  .content .description {
    font-size: 14px;
  }

  .container-right {
    max-width: 100%;
    height: auto;
    margin-top: 20px;
    text-align: center;
  }

  .container-right img {
    width: 50%;
  }
}
